Skip to content

List Security Groups Available to Attach

GET
/api/v1/scaler/scalegroups/remaining_security_group/{scaler_id}
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/remaining_security_group/{scaler_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the security groups in the region that are not yet attached to the group and can be attached to it. Use a group’s id from this list as the security_group_id for Attach SG.

scaler_id
required
integer

The id of the auto scaling group, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the group.

Example

<LOCATION>

Successful response

Media typeapplication/json

Security groups available to attach to the group, each with its rules.

object
code
integer
data
Array<object>
object
id
integer
name
string
description
string
rules
Array<object>
object
id
integer
rule_type
string
protocol_name
string
port_range
string
network
string
network_cidr
string
network_size
integer
vpc_id
integer
description
string
is_default
boolean
is_all_traffic_rule
boolean
is_dr_source
boolean
is_dr_target
boolean
is_active
boolean
inbound_rules_count
integer
outbound_rules_count
integer
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 12345,
"name": "allow_all_traffic_delhi",
"description": "allow all traffic security group delhi",
"rules": [
{
"id": 12345,
"rule_type": "Inbound",
"protocol_name": "ALL",
"port_range": "",
"network": "any",
"network_cidr": "--",
"network_size": 1,
"vpc_id": null,
"description": ""
}
],
"is_default": false,
"is_all_traffic_rule": true,
"is_dr_source": false,
"is_dr_target": false,
"is_active": true,
"inbound_rules_count": 1,
"outbound_rules_count": 1
}
],
"message": "Success"
}